Draft: Simetrizarea

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Mirror and the translation is 6% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Previous: Draft Scale.svg Scale
Next: Offset Draft Offset.svg Arrow-right.svg

Draft Mirror.svg Draft Mirror

poziția meniului
Draft → Mirror
Ateliere
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Draft Scale

Description

Descriere

Acest instrument produce o copie în oglindă a unui obiect selectat, utilizând un obiect Mirror Object. Copia este legată parametric de obiectul original: dacă se modifică obiectul original, copia oglindă se modifică și ea, dar rămâne oglindită.

The command can be used on 2D objects created with the Draft Workbench or Sketcher Workbench, but also on many 3D objects such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.

Draft Mirror example.jpg

Draft Mirror example.jpg

Usage

See also: Draft Snap and Draft Constrain.

Cum se utilizează

  1. Selectați obiectele pe care doriți să le reflectați
  2. Apăsați butonul Draft Mirror.png Draft Mirror
  3. Faceți clic pe primul punct al liniei de oglindă din vizualizarea 3D sau tastați un coordinate
  4. Faceți clic pe celălalt punct al liniei de simetrie/oglindire din vizualizarea 3D sau tastați un coordinate

Options

The single character keyboard shortcuts mentioned here can be changed. See Draft Preferences.

Opțiuni

Notes

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Properties

See also: Property editor.

A Part Mirror object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Base

  • DateSource (Link): specifies the object that is mirrored.

Plane

Proprietăți

  • DateBase: Baza punctului planului de simetrie
  • DateNormal: Direcția normală la planul de simetrie

Scripting

Script-Programre

Unealta Clone poate fi folosită în macro-uri şi de la consola Python cu ajutorul funcţiei următoare:

To mirror objects use the mirror method of the Draft module.

mirrored_list = mirror(objlist, p1, p2)
  • Realizează oglinda (obiectelor) obiectului dat peste un plan definit de o linie de la p1 la p2 și paralel cu vizualizarea curentă
  • Rezultatul este un obiect Part::Mirroring
  • Dacă obiectul original se modifică, obiectul final se schimbă și el, dar rămâne oglindit

Exempluː

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)

line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)

Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)

doc.recompute()


Arrow-left.svg Previous: Draft Scale.svg Scale
Next: Offset Draft Offset.svg Arrow-right.svg